4Suite™ API Documentation

# ► Module Ft.Xml.Lib._4xupdate

4XUpdate command-line application

Classes: XUpdateCommandLineApp |  |  |  | Functions: Register, Run |  |  |  | Fields: DefaultFactory

## Classes

class XUpdateCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

### Methods

__init__(self)
validate_arguments(self, args)
validate_options(self, options)

### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run

### Methods inherited from class Ft.Lib.CommandLine.Command.Command

break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

### Fields

## Functions

Register()
Run(options, args)

## Fields

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>